<?php
/*
 * ADVANCED SETTINGS FOR THE CAB GRID PRO BOOKING MANAGEMENT ADD-ON PLUGIN 
 * REQUIRES CAB GRID PRO BOOKING MANAGEMENT ADD-ON V2.3.9 OR HIGHER
 */

//** FOR DETAILED INSTRUCTIONS, SEE https://cabgrid.com/add-ons/advanced-settings-for-cab-grid-pro-defaults-add-on-plugin/ **\\
//WARNING: CHANGING THESE VALUES WILL DISABLE BUILT-IN TRANSLATION!... use translation syntax (see example at bottom) to add your own

//** MAKE SURE THE LATEST VERSION OF CAB GRID PRO BOOKING MANAGEMENT ADD-ON IS INSTALLED TO INSURE COMPATIBILITY **\\


//* BOOKING EMAIL SUBJECTS *\\ 	
	$cabGridBookingEmailSubjectAccept="";			//default: "Booking Confirmation"				//enter a subject for booking confirmation email (from v2.3.9)
	$cabGridBookingEmailSubjectDecline="";			//default: "Booking Request Declined"			//enter a subject for booking rejection email (from v2.3.9)
	$cabGridBookingEmailSubjectCancel="";			//default: "Booking Cancelled"					//enter a subject for booking cancellation email (from v2.3.9)
	$cabGridBookingEmailSubjectUpdate="";			//default: "Booking Update"						//enter a subject for booking updated email (from v2.3.9)
	$cabGridBookingEmailSubjectPaid="";				//default: "Payment Received"					//enter a subject for payment received email (from v2.3.9)
	$cabGridBookingEmailSubjectReminder="";			//default: "Journey reminder"					//enter a subject for booking reminder email (outbound leg) (from v2.3.9)
	$cabGridBookingEmailSubjectReturnReminder="";	//default: "Return journey reminder"			//enter a subject for booking reminder email (return leg) (from v2.3.9)

//* EMAIL CONTENT *\\
	$cabGridBookingPaymentLink="";					//default: "Pay online now..."					//enter the label for the payment link optionally included in confirmation emails (from v2.3.9)

//* BOOKING STATUS *\\
	$cabGridBookingsDefaultStatus="";	//Default: pending. Can be: accepted|confirmed|declined|pending|paid|cancelled. Note: No action is triggered. Only status is changed

//* TEXT SUBSTITUTIONS *\\
	$cabGridBookingsAmountOutstandingZero="";	//default: 0	//enter a message to be shown if the amount outstanding that is payable for a booking is 0 (or less) (from v2.7.1)

//if providing multiple translations, use this syntax instead of $var="", then update translations in 'languages' folder. See https://developer.wordpress.org/plugins/internationalization/how-to-internationalize-your-plugin/
	$cabGridDefaults_multilingual_syntax=__("Text to be translated","cab-grid-defaults");
	
	
	
	?>