<?php
	
//** FOR DETAILED INSTRUCTIONS, SEE https://cabgrid.com/add-ons/advanced-settings-for-cab-grid-pro-defaults-add-on-plugin/ **\\
//WARNING: CHANGING THESE VALUES WILL DISABLE BUILT-IN TRANSLATION!... use translation syntax (see example at bottom) to add your own

//** MAKE SURE THE LATEST VERSION OF CAB GRID PRO IS INSTALLED TO INSURE COMPATIBILITY **\\

	$cabGridProDefaultPageAddress="";	//Page address of main Cab Grid Pro instance. e.g. "/book-now/#cabGridPro1" where 'cabGridPro1' is instance id attribute (used to restart booking process when necessary)

//* BUTTON LABELS *\\ 	
	$cabGridProButtonLabelBook="";		//default: "BOOK"				//enter a label for the book button
	$cabGridProButtonLabelSubmit="";	//default: "SUBMIT"				//enter a label for the booking form submit button

//* BOOKING FORM LABELS *\\
	$cabGridProFormLabelPickupDate="";	//default: "PICK UP DATE/TIME"	//enter a label for the booking form pick up date field label
	$cabGridProFormLabelReturnDate="";	//default: "RETURN DATE/TIME"	//enter a label for the booking form return date field label
	$cabGridProFormLabelName="";		//default: "YOUR NAME"			//enter a label for the booking form name field label
	$cabGridProFormLabelEmail="";		//default: "YOUR EMAIL"			//enter a label for the booking form email field label
	$cabGridProFormLabelTel="";			//default: "YOUR TELEPHONE"		//enter a label for the booking form telephone field label
	$cabGridProFormLabelOriginAddr="";	//default: "PICK UP"			//enter a label for the booking form pick up address (origin) field label
	$cabGridProFormLabelDestAddr="";	//default: "DESTINATION"		//enter a label for the booking form destination address field label
	$cabGridProFormLabelOriginAddrPlaceHolder="";	//default: "Pick-up address or flight number/terminal"			//enter placeholder text for the booking form pick up address (origin) field
	$cabGridProFormLabelDestAddrPlaceHolder="";		//default: "Destination address, flight number/terminal"		//enter placeholder text for the booking form destination address field
	$cabGridProFormLabelMailingList="";	//default: "JOIN OUR MAILING LIST"	//enter a label for the booking form mailing list subscribe checkbox

//* SECTION TITLES *\\
	$cabGridProSectTitleExtras="";		//default: "EXTRAS"				//enter a label for the booking form destination address field label
	$cabGridProSectTitleDiscount="";	//default: "DISCOUNT/PROMO CODE"//enter a label for the booking form destination address field label

//* CALCULATOR LABELS (usually hidden in favour of icons, but can be revealed through CSS) *\\
	$cabGridProCalcLabelPassengers="";	//default: "PASSENGERS"			//enter a label for the passengers field label
	$cabGridProCalcLabelLuggage="";		//default: "LUGGAGE"			//enter a label for the luggage field label
	$cabGridProCalcLabelTickets="";		//default: "TICKETS"			//enter a label for the tickets field label
	$cabGridProCalcLabelOneWay="";		//default: "ONE WAY" (dynamic)	//enter a label for the one-way or return icon label (one-way)
	$cabGridProCalcLabelReturn="";		//default: "RETURN" (dynamic)	//enter a label for the one-way or return icon label (return)
	$cabGridProCalcLabelFrom="";		//default: "FROM"				//enter a label for the "from" drop down label
	$cabGridProCalcLabelTo="";			//default: "TO"					//enter a label for the "to" drop down label
	$cabGridProCalcLabelStandardPrice="";	//default: "STANDARD"		//label shown on primary price variation button and passed to booking form

//* MESSAGING *\\
	$cabGridProMailService="";			//default: "phpmailer" // alternative method: "wp_mail" //! Should probably use wp_mail if using plugin like PostSMTP
	$cabGridProCustEmailSubject="";		//default: "Booking Request Acknowledgement" (followed by system reference if available)
	$cabGridProCustEmailHead="";		//default: "Your booking is PENDING. You will receive confirmation in a separate communication."
	$cabGridProConflictMsg="";			//default: "Sorry, we do not have availability at {DATE/TIME}.\n\n Please try a different time."
	$cabGridProConflictVehicleMsg="";	//default: "{VEHICLE NAME} is not available at {DATE/TIME}.\n\n Please try a different time or change journey parameters to select a different vehicle."
	$cabGridProNoPlaceMsg="";			//default: "Place not found"
	$cabGridProSenderName="";			//default: Blog title/name (in WP settings) e.g. "Your company name"
	$cabGridProCcCustomerMsgs="";		//default: "" 		//enter a SINGLE email address to copy customer email messages to. Note, deliverability depends on configuration/host restrictions. See support
	$cabGridProBccCustomerMsgs="";		//default: "" 		//enter a SINGLE email address to blind copy customer email messages to. Note, deliverability depends on configuration/host restrictions. See support
	$cabGridProCcAdminMsgs="";			//default: "" 		//enter a SINGLE email address to copy admin email messages to. Note, deliverability depends on configuration/host restrictions. See support
	$cabGridProBccAdminMsgs="";			//default: "" 		//enter a SINGLE email address to blind copy admin email messages to. Note, deliverability depends on configuration/host restrictions. See support
	$cabGridProAdminMsg="";				//default: "A new booking request has been submitted via your website as follows:"	// enter the message shown at the top of booking notificaiton messages sent to the administrator
	$cabGridProAdminLocale="";			//default: {site locale}. Enter a locale to force admin message in that language (where translation exists). e.g. en_US or en_GB or es_ES. This is useful where translation plugin, like Polylang, in use.
	$cabGridProAdminNotificationSubject=""; //default: "[site name] Booking Request ([booking id])" // Accepts text-substitution syntax, e.g. "New Booking Request (///cabGridProBookingID///)"

//* TOOL-TIPS *\\
	$cabGridProVehicleMaxPassTooltip="";//default: "Maximum number of passengers" $cabGridProVehicleMaxPassTooltip,$cabGridProVehicleMaxLuggTooltip
	$cabGridProPassengersTooltip="";	//default: "NUMBER OF PASSENGERS"
	$cabGridProVehicleMaxLuggTooltip="";//default: "Maximum amount of luggage"
	$cabGridProLuggageTooltip="";		//default: "NUMBER OF SUITCASES"
	$cabGridProTicketsTooltip="";		//default: "NUMBER OF TICKETS"
	$cabGridProTimeTooltip="";			//default: "NUMBER OF [TIME UNITS]"
	$cabGridProOneWayTooltip="";		//default: "ONE-WAY"
	$cabGridProReturnTooltip="";		//default: "RETURN"
	$cabGridProOriginTooltip="";		//default: "Select the place the starting address falls within"
	$cabGridProDestinationTooltip="";	//default: "Select the place the destination address is within"
	$cabGridProBookButtonTooltip="";	//default: "Click here to complete the booking request form"
	$cabGridProSubmitButtonTooltip="";	//default: "Click here to send your booking request"
	$cabGridProPickupDateTooltip="";	//default: "SELECT DATE AND TIME [DYNAMIC INFO]"
	$cabGridProReturnDateTooltip="";	//default: "SELECT DATE AND TIME [DYNAMIC INFO]"
	$cabGridProNameTooltip="";			//default: "Enter your full name here"
	$cabGridProEmailTooltip="";			//default: "Enter your email address here"
	$cabGridProTelephoneTooltip="";		//default: "Enter your telephone number"
	$cabGridProIntTelCodeTooltip="";	//default: "SELECT COUNTRY DIALLING CODE"
	$cabGridProPickupAddressTooltip="";	//default: "Enter the address where your journey starts here"
	$cabGridProDropAddressTooltip="";	//default: "Enter the destination address here"
	$cabGridProPromoCodeTooltip="";		//default: "Type in code and click the APPLY button to validate the code and apply the discount."
	$cabGridProStandardPriceTooltip="";	//default: "Show standard price for this journey"

//*.BOOKING FORM OPTIONS *\\ //*WARNING:  MODIFYING THESE OPTIONS CAN LEAD TO UNEXPECTED RESULTS - I.E. ERRORS/PROBLEMS *\\
	$cabGridDatePicker24HrTime="y"; 	//Time format: n=1-12 (AM/PM), y=0-23hrs
	$cabGridDatePickerFormat="";		//e.g. D, J M Y - H:i Date & time format shown to customer: https://cabgrid.com/?p=2640 
	$cabGridProNativeMobileSelect="y";	//y=use standard (native) drop down for select boxes on mobile devices, n=use enhanced searchable select boxes (as per desktop) on mobile devices
	$cabGridProPickupDateOptional="n";	//Allows booking form pickup date field to be optional (not required). Default: n (required), y (optional)
	$cabGridProReturnDateOptional="n";	//Allows booking form return date field to be optional (not required). Default: n (required), y (optional)
	$cabGridProNameOptional="n";		//Allows booking form name field to be optional (not required). Default: n (required), y (optional)
	$cabGridProEmailOptional="n";		//Allows booking form email address field to be optional (not required). Default: n (required), y (optional) - admin email address may be used where required
	$cabGridProTelOptional="n";			//Allows booking form telephone number field to be optional (not required). Default: n (required), y (optional)
	$cabGridProPickupAddressOptional="n";		//Allows booking Pick Up address field to be optional (not required). Default: n (required), y (optional)
	$cabGridProDestAddressOptional="n";			//Allows booking form destination address field to be optional (not required). Default: n (required), y (optional)
	$cabGridProInsureValidatorCompatibility="";	//Forces Cab Grid's version of jQuery Validator plugin to load. Default: "" (system decides), y (force load)

//* PAYMENT SETTINGS *\\
	$cabGridIncPaypalLink=1;			//determines if a Paypal link is included in the booking notifcation email sent to admin
	$cabGridPpRtnURL="";				//page customers sent to after successfull PayPal payment. Default: Site Home Page. Format: https://domain.tld/success-page
	$cabGridPpCnlURL="";				//page customers sent to when cancelling PayPal payment. Default: Site Home Page. Format: https://domain.tld/fail-page

//* OTHER SETTINGS *\\
	$cabGridProRememberCust="y";		//Allow Cab Grid to set a cookie on customer computer that remembers booking form field values: y for ON, n for OFF.
	$cabGridProPriceFormat=1;			//1=$9.99 (symbol:price), 2=9.99$ (price:symbol)
	$cabGridProPriceDecimals=2;			//Format price to this number of decimal places. Reasonable values: 0 or 2. Possible, but unusual values: 1 or 3.
	$cabGridProLogEnable=0;				//Error Log: 0 for off, 1 for on
	$cabGridLogLength="";				//Default: 250					//number of lines to keep in log
	$cabGridTicketFormula="";			//formula used to multiply ticket prices... e.g. *0.8 [if price is $10, 4 tickets would cost $10+(10x0.8)x3 = $34]
	$cabGridProRole="";					//Capability required to administer Cab Grid Pro. (cab_grid_pro_manager or manage_options)
	$cabGridProCurlTimeout=5;			//amount of time (in seconds) to allow before cURL requests time out
	$cabGridOverrideAjaxURL="n";		//Override AJAX call URL. n=Default, y=Force direct path, [url]=custom
	$cabGridScrollTopOffset=0;			//Dafault: 0	//The number of pixels to adjust the top poosition scrolled to when booking form submitted (usually top of Cab Grid interface)
	$cabGridContentIfRobot="";			//Default: Display the regular Cab Grid interface as per regular visits otherwise show robots this content. e.g. <a href='/?embed=cabGridPro'>Get a price and book...</a>
	$cabGridProVehicleImgSize="";		//The image size used for vehicles. Default: medium | Options: thumbnail / medium / large / full
	$cabGridProExtraImgSize="";			//The image size used for extras. Default: thumbnail | Options: thumbnail / medium / large / full
	$cabGridProUseSelectBox="n";		//Replace number input fields in calculator with HTML SELECT box (drop-down). Options: n/y [Enabling inhibits native number picker on mobile.]
	$cabGridProAutoCompleteRadius="30000";	//Google Address Auto-complete location bias radius. Default: 30000 (30km). Addresses within this area will be given priority. Distance from select location as geocoded by Google.
	$cabGridProDisableCache="n";		//Stop CabGrid Pro from caching settings. Options: n/y (n = cache as normal, y = do not cache data)

//** TO AVOID ERRORS, MIN MUST BE EXACTLY DIVISIBLE BY STEP: eg min=2, step=2 (2,4,6,etc) OR min=0,step=3 (0,3,6,9,etc) **\\
	$cabGridProPassengerStep=1;		//determines the change in passengers when the up/down icons are clicked. A step of 2 will change 1 passenger to 3 when up is clicked
	$cabGridProMinLuggage=0;		//determines the minimum amount of luggage (max is determined by vehicle capacity)
	$cabGridProLuggageStep=1;		//determines the change in luggage when the up/down icons are clicked. A step of 3 will change 3 pieces of luggage to 6 when up is clicked
	$cabGridProMinTickets=1;		//determines the minimum number of tickets (max is determined by vehicle capacity)
	$cabGridProTicketStep=1;		//determines the change in tickets when the up/down icons are clicked. A step of 4 will change 1 ticket to 5 when up is clicked
	$cabGridProMinTime=1;			//determines the minimum amount of time for time based calculations
	$cabGridProMaxTime=365;			//determines the maximum amount of time for time based calculations
	$cabGridProTimeStep=1;			//can be a decimal value/float (e.g. 0.5). Determines the change in time units when the up/down icons are clicked. A step of 0.5 will change 1 unit (hour/day etc) to 1.5 when up is clicked.	
	$cabGridProBookEarliest="";		//defaukt: "00:00"		//v5+	//Restricted the date time input: Earliest time in 24hr format (00:00-23:59) that a booking can be made. e.g. 07:00
	$cabGridProBookLatest="";		//default: "23:59"		//v5+	//Restricted the date time input: Latest time in 24hr format (00:00-23:59) that a booking can be made. e.g. 22:00 
	

//* USER SPECIFIC SETTINGS (if logged in as a Wordpress user) *\\
	$cabGridUserShowVariants="y";		//y/n: //v5+ 	//If "n" price variants will be hidden FOR LOGGED IN USERS (TBC)
	$cabGridUserShowDiscountInput="n";	//y/n: //v5+	//If "y" the discount code input field will be visible FOR LOGGED IN USERS
	
//* ADD-ON SETTINGS 
	//see dedicated _settings-*** file

//if providing multiple translations, use this syntax instead of $var="", then update translations in 'languages' folder. See https://developer.wordpress.org/plugins/internationalization/how-to-internationalize-your-plugin/
	$cabGridDefaults_multilingual_syntax=__("Text to be translated","cab-grid-defaults");

	
?>