<?php
/*
	Plugin Name: Cab Grid Defaults
	Plugin URI:  https://cabgrid.com
	Text Domain: cab-grid-defaults
	Domain Path: /languages
	Description: Sets advanced values in CabGrid Pro avoiding data loss when updating. Edit _settings.php file manually to make changes.
	Version:     2.17
	Author:      Nimbus Digital
	Author URI:  http://nimbus.agency
	License:     GPL2
*/

//** EDIT _SETTINGS.PHP AND/OR _SETTINGS-BMA.PHP TO CHANGE PARAMETERS... **\\
//** FOR DETAILED INSTRUCTIONS, SEE https://cabgrid.com/add-ons/advanced-settings-for-cab-grid-pro-defaults-add-on-plugin/ **\\

global $cabGridProDefaultsVersion;
	$cabGridProDefaultsVersion="2.17";

function cabGridProDefaults(){
	global $cabGridProCustEmailSubject,$cabGridProStandardPriceTooltip,$cabGridProPickupDateOptional,$cabGridProReturnDateOptional,$cabGridProNameOptional,$cabGridProEmailOptional,$cabGridProPickupAddressOptional,$cabGridProDestAddressOptional,$cabGridScrollTopOffset,$cabGridProDisableCache,$cabGridProMailService,$cabGridPpCnlURL,$cabGridPpRtnURL,$cabGridProAdminMsg,$cabGridProAdminLocale,$cabGridProAdminNotificationSubject;
	global $cabGridProDefaultsVersion,$cabGridProDefaultPageAddress,$cabGridProButtonLabelBook,$cabGridProButtonLabelSubmit,$cabGridProFormLabelPickupDate,$cabGridProFormLabelReturnDate,$cabGridProFormLabelName,$cabGridProFormLabelEmail,$cabGridProFormLabelTel,$cabGridProFormLabelOriginAddr,$cabGridProFormLabelDestAddr,$cabGridProFormLabelMailingList,$cabGridProSectTitleExtras,$cabGridProSectTitleDiscount,$cabGridProCalcLabelPassengers,$cabGridProCalcLabelLuggage,$cabGridProCalcLabelTickets,$cabGridProCalcLabelOneWay,$cabGridProCalcLabelReturn,$cabGridProCalcLabelFrom,$cabGridProCalcLabelTo,$cabGridProLogEnable,$cabGridLogLength,$cabGridIncPaypalLink,$cabGridProRole,$cabGridProPassengerStep,$cabGridProMinLuggage,$cabGridProLuggageStep,$cabGridProMinTickets,$cabGridProTicketStep,$cabGridProMinTime,$cabGridProMaxTime,$cabGridProTimeStep,$cabGridProPriceDecimals,$cabGridProPriceFormat,$cabGridProRememberCust,$cabGridDatePicker24HrTime,$cabGridDatePickerFormat,$cabGridUserShowVariants,$cabGridUserShowDiscountInput,$cabGridProCustEmailHead,$cabGridTicketFormula,$cabGridProBookEarliest,$cabGridProBookLatest,$cabGridProConflictMsg,$cabGridProConflictVehicleMsg,$cabGridProNoPlaceMsg,$cabGridProCurlTimeout,$cabGridProSenderName,$cabGridProNativeMobileSelect,$cabGridProTelOptional,$cabGridOverrideAjaxURL,$cabGridProPassengersTooltip,$cabGridProLuggageTooltip,$cabGridProTicketsTooltip,$cabGridProTimeTooltip,$cabGridProOneWayTooltip,$cabGridProReturnTooltip,$cabGridProOriginTooltip,$cabGridProDestinationTooltip,$cabGridProBookButtonTooltip,$cabGridProPickupDateTooltip,$cabGridProReturnDateTooltip,$cabGridProNameTooltip,$cabGridProEmailTooltip,$cabGridProTelephoneTooltip,$cabGridProIntTelCodeTooltip,$cabGridProPickupAddressTooltip,$cabGridProDropAddressTooltip,$cabGridProPromoCodeTooltip,$cabGridProVehicleMaxPassTooltip,$cabGridProVehicleMaxLuggTooltip,$cabGridProSubmitButtonTooltip,$cabGridProCalcLabelStandardPrice,$cabGridContentIfRobot,$cabGridProCcCustomerMsgs,$cabGridProBccCustomerMsgs,$cabGridProCcAdminMsgs,$cabGridProBccAdminMsgs,$cabGridProInsureValidatorCompatibility,$cabGridProVehicleImgSize,$cabGridProExtraImgSize,$cabGridProUseSelectBox,$cabGridProAutoCompleteRadius,$cabGridProFormLabelOriginAddrPlaceHolder,$cabGridProFormLabelDestAddrPlaceHolder; require_once( dirname(__file__).'/_settings.php' );
		//For conflicts, tell browser plugin in use...
		if(function_exists("cgpLog")){
			cgpLog("CabGrid Defaults External Plugin v$cabGridProDefaultsVersion Executed");
		}
}
add_action('cab_grid_pro_defaults','cabGridProDefaults');

function cabGridBookingsDefaults(){
	global $cabGridProDefaultsVersion,$cabGridBookingEmailSubjectAccept,$cabGridBookingEmailSubjectDecline,$cabGridBookingEmailSubjectCancel,$cabGridBookingEmailSubjectUpdate,$cabGridBookingEmailSubjectPaid,$cabGridBookingEmailSubjectReminder,$cabGridBookingEmailSubjectReturnReminder,$cabGridBookingPaymentLink,$cabGridBookingsDefaultStatus,$cabGridBookingsAmountOutstandingZero;	 require_once( dirname(__file__).'/_settings-BMA.php' );
	if(function_exists("cgpLog")){
		cgpLog("CabGrid Bookings Defaults External Plugin v$cabGridProDefaultsVersion Executed");
	}
}
add_action('cab_grid_bookings_defaults','cabGridBookingsDefaults');

function cabGridDefaultsAdminNotes(){
	echo "<p style='font-weight:bold;color:red;'>";
	_e("Note: You have the <a href='https://cabgrid.com/add-ons/advanced-settings-for-cab-grid-pro-defaults-add-on-plugin/' taget='_blank' title='More info'>CabGrid Pro Defaults Add-on</a> enabled. This overrides any custom settings applied within CabGrid Pro _settings.php file.","cab-grid-defaults");
	echo "</p>";
}
add_action('cab_grid_pro_support_notes','cabGridDefaultsAdminNotes');

require_once( dirname(__file__).'/_extras.php' );
?>